# Avancerade funktioner i amaroK

## Snabbtangenter

&amarok; använder snabbtangenter som de flesta andra program. Nedan finns en lista över dessa snabbtangenter och deras olika funktioner. De globala snabbtangenterna kan ställas in genom att högerklicka i spelarfönstret och välja Anpassa globala genvägar... Snabbtangenterna i &amarok; kan anpassas genom att högerklicka i spelarfönstret och välja Anpassa genvägar...

Du kan tilldela multimediatangenter att fungera som snabbtangenter i &amarok;, för att låta tangentbordet styra &amarok;.

De globala genvägarna är:

Tangentkombination | Åtgärd
--- | ---
WinX | Spela
WinC | Paus
WinV | Stanna
WinB | Nästa spår
WinZ | Föregående spår
WinNumeriskt tangentbord + | Öka volym
WinNumeriskt tangentbord - | Minska volym
WinA | Lägg till media
WinP | Växla spellista
WinO | Aktivera skärmvisning

Genvägarna i &amarok; är:

Tangentkombination | Åtgärd
--- | ---
CtrlC | Kopiera
CtrlNumeriskt tangentbord Enter | Gå till nuvarande
CtrlQ | Avsluta
CtrlSkiftZ | Gör om
CtrlS | Spara spellista
CtrlA | Markera alla
CtrlH | Blanda
CtrlZ | Ångra

Spellistebläddrarens genvägar är:

Tangentkombination | Åtgärd
--- | ---
Mellanslag | Ladda spellista
F2 | Byt namn på spellista
Backsteg | Ta bort spellista

## DCOP-gränssnittet

AmaroKs DCOP-gränssnitt tillhandahåller ett enkelt sätt att styra amaroK med dina egna skript.

DCOP-gränssnittet i amaroK har många generella funktioner som också finns i andra KDE-program. Det här avsnittet är uppdelat i två tabller och är avsett att beskriva spelarens och spellistans DCOP-funktioner. Ett exempel på DCOP-funktionen pause skulle se ut så här:

&percnt;dcop amarok player pause

### dcop amarok player

DCOP-funktion | Åtgärd
--- | ---
album | Funktionen album returnerar albumet för spåret som för närvarande spelas.
artist | Funktionen artist returnerar artisten för spåret som för närvarande spelas.
bitrate | Funktionen bitrate returnerar bitfrekvensen för spåret som för närvarande spelas.
comment | Funktionen comment returnerar kommentaren för spåret som för närvarande spelas.
coverImage | Funktionen coverImage returnerar webbadressen till nuvarande spårs skivomslag.
currentTime | Funktionen currentTime returnerar positionen (mm:ss) för spåret som för närvarande spelas.
encodedURL | Funktionen encodedURL returnerar webbadressen för nuvarande spår med mellanslag kodade.
genre | Funktionen genre returnerar genren för spåret som för närvarande spelas.
nowPlaying | Funktionen nowPlaying returnerar "Artist - Titel" för spåret som för närvarande spelas. Om någon av de båda ID3-taggarna är tom, visas bara "Artist" eller "Titel" (utan "-").
title | Funktionen title returnerar titeln för spåret som för närvarande spelas.
totalTime | Funktionen totalTime returnerar den totala tiden (mm:ss) för spåret som för närvarande spelas.
track | Funktionen track returnerar spårnummer för nuvarande spår.
year | Funktionen year returnerar året för spåret som för närvarande spelas.
isPlaying | Funktionen isPlaying returnerar ett värde som är sant eller falskt för att ange om spelaren spelar upp något eller inte.
randomModeStatus | Funktionen randomModeStatus returnerar status för slumpmässigt läge med värdet sant eller falskt.
repeatPlaylistStatus | Funktionen repeatPlaylistStatus returnerar status för upprepning av spellista med värdet sant eller falskt.
repeatTrackStatus | Funktionen repeatTrackStatus returnerar status för upprepning av spår med värdet sant eller falskt.
getVolume | Funktionen getVolume returnerar ett värde på volymen som anges med ett värde från 0 till 100.
sampleRate | Funktionen sampleRate returnerar samplingsfrekvensen för nuvarande spår.
poäng | Funktionen score returnerar nuvarande spårets poäng.
status | Funktionen status returnerar ett värde på gränssnittets status. Uppspelning anges med 2, paus anges med 1 och overksam anges med 0.
trackCurrentTime | Funktionen trackCurrentTime returnerar ett värde på nuvarande förfluten tid i sekunder.
trackPlayCounter | Funktionen trackPlayCounter returnerar antal gånger nuvarande spår har spelats.
trackTotalTime | Funktionen trackTotalTime returnerar ett värde på nuvarande spårs totala tid i sekunder.
configEqualizer | Funktionen configEqualizer visar inställningsfönstret för equalizern.
enableOSD | Funktionen enableOSD låter dig växla skärmvisningen med ett sant eller falskt värde.
enableRandomMode | Funktionen enableRandomMode används för att växla slumpläget med värdet 0 för inaktiverat och 1 för aktiverat.
mute | Funktionen mute låter dig stänga av och sätta på ljudet för spåret som för närvarande spelas.
next | Funktionen next går framåt ett spår i spelaren.
pause | Funktionen pause gör paus för spåret som för närvarande spelas.
play | Funktionen play startar spelaren där den senast stoppades.
playPause | Funktionen playPause startar spelaren om den för närvarande är i läget stopp eller paus. Funktionen gör också paus om spelaren för närvarande spelar ett spår.
prev | Funktionen prev går bakåt ett spår i spelaren.
scanCollection | Funktionen scanCollection utför en manuell avsökning av din samling.
seek | Funktionen seek används för att söka till en viss position i ett spår med ett värde som anges i sekunder.
seekRelative | Funktionen seekRelative används för att söka till en position relativt till spårets nuvarande positionmed ett värde som anges i sekunder.
setContextStyle |
setEqualizer | Funktionen setEqualizer använder elva heltal avgränsade med mellanslag för att ställa in equalizerns värden. Skjutreglagens värden går från -255 som minsta värde till 255 som största. Det första heltalet används för att ställa in förförstärkarens värde, och återstående heltal ställer in värden på förförstärkarens frekvenssvar från 60 Hz till 16 kHz.
setEqualizerEnabled | Funktionen setEqualizerEnabled används för att aktivera equalizern med ett sant eller falskt värde.
setVolume | Funktionen setVolume justerar volymen till en nivå som anges med ett värde från 0 till 100.
showOSD | Funktionen showOSD aktiverar skärmvisningen för att visa information om nuvarande spår.
stop | Funktionen stop stoppar spelaren om den för närvarande spelar upp någonting.
volumeDown | Funktionen volumeDown justerar volymen neråt ett steg.
volumeUp | Funktionen volumeUp justerar volymen uppåt ett steg.

### dcop amarok playlist

DCOP-funktion | Åtgärd
--- | ---
getActiveIndex | Funktionen getActiveIndex returnerar ett heltalsvärde för nuvarande spårs position i spellistan.
addMedia | Funktionen addMedia används för att lägga till filer i spellistan.
addMediaList | Funktionen addMediaList används för att lägga till flera filer i spellistan.
clearPlaylist | Funktionen clearPlaylist används för att rensa hela spellistan.
playByIndex | Funktionen playByIndex startar uppspelning av ett spår med dess position i spellistan.
playMedia | Funktionen playMEDIA startar uppspelning av ett spår som anges av en webbadress.
saveCurrentPlaylist | Funktionen saveCurrentPlaylist sparar den nuvarande spellistan som ~/.kde/share/apps/amarok/current.xml.
setStopAfterCurrent | Funktionen setStopAfterCurrent stoppar uppspelning av spellistan efter det nuvarande spåret är klart.
shortStatusMessage | Funktionen shortStatusMessage visar en textsträng som ett meddelande i statusraden.
shufflePlaylist | Funktionen shufflePlaylist gör ordningen av spår i spellistan slumpmässig.
togglePlaylist | Funktionen togglePlaylist ändrar visning av spellistefönstret, antingen av eller på.

## Kommandoradsalternativ

AmaroK stöder användning av de vanliga Qt- och KDE-kommandoradsväljarna. AmaroK har också sina egna programspecifika väljare.

Väljarna för Qt och KDE:

Väljare | Åtgärd
--- | ---
--help | Visa hjälp om väljare.
--help-qt | Visa Qt-specifika väljare.
--help-kde | Visa KDE-specifika väljare.
--help-all | Visa alla väljare.
--author | Visa information om upphovsman.
-v, --version | Visa versionsinformation.
--license | Visa licensinformation.

AmaroK-väljare:

&amarok;-väljarna är avsedda att användas medan &amarok; kör.

Väljare | Åtgärd
--- | ---
-r, --previous | Gå till föregående spår i spellistan.
-p, --play | Börja spela nuvarande spellista.
-s, --stop | Stoppa uppspelning.
--pause | Gör paus i uppspelning.
-f, --next | Gå till nästa spår i spellistan.
-a, --append | Lägg till filer eller webbadresser sist i spellistan.
-e, --enqueue | Se append, tillgänglig för att fungera ihop med tidigare versioner.
--queue | Köa filer eller webbadresser efter spåret som för närvarande spelas.
-m, --toggle-playlist-window | Växla spellistans fönster.
--wizard | Kör startguiden.
--engine "namn" | Starta &amarok; med gränssnittet "namn".